%define anolis_release 1

%global tarball_version %%(echo %{version} | tr '~' '.')
%global major_version %%(echo %%{tarball_version} | awk -F. '{print $1}')

Name:           gnome-font-viewer
Version:        44.0
Release:        %{anolis_release}%{dist}
Summary:        Utility for previewing fonts for GNOME
License:        GPL-2.0-or-later
URL:            https://gitlab.gnome.org/GNOME/gnome-font-viewer
Source0:        https://download.gnome.org/sources/gnome-font-viewer/%{major_version}/%{name}-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnome-desktop-4)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate

%description
Use gnome-font-viewer, the Font Viewer, to preview fonts and display
information about a specified font. You can use the Font Viewer to display the
name, style, type, size, version and copyright of the font.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.font-viewer.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.font-viewer.appdata.xml

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_bindir}/%{name}
%{abidir}/%{name}-option.list
%{_bindir}/gnome-thumbnail-font
%{abidir}/gnome-thumbnail-font-option.list
%{_datadir}/applications/org.gnome.font-viewer.desktop
%{_datadir}/dbus-1/services/org.gnome.font-viewer.service
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.font-viewer.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.font-viewer-symbolic.svg
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_metainfodir}/org.gnome.font-viewer.appdata.xml

%files doc
%doc NEWS

%changelog
* Wed Mar 22 2023 yuanhui <yuanhui@linux.alibaba.com> - 44.0-1
- Init package from upstream
